import 'package:functions/src/core/domain/repositories/functions_repository.dart';
import 'package:functions/src/features/contacts/domain/entities/contact_entity.dart';
import 'package:functions/src/features/contacts/domain/get_contacts_use_case.dart';

class GetContactsUseCaseImpl implements GetContactsUseCase {
  GetContactsUseCaseImpl(this._repository);

  final FunctionsRepository _repository;

  @override
  Future<List<ContactEntity>> getContacts({required String userId}) {
    return _repository.getContacts(userId: userId);
  }
}
